Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Token_Reply::Transfer Struct Reference

List of all members.

## Public Attributes
ACE_UINT32 | length_
| Length of entire reply.
ACE_UINT32 | errno_
ACE_UINT32 | arg_
| magic cookie

## Member Data Documentation

ACE_UINT32 ACE_Token_Reply::Transfer::arg_

| magic cookie

ACE_UINT32 ACE_Token_Reply::Transfer::errno_

| Indicates why error occurred if <this->type_> == <FAILURE>. Typical reasons include: <EWOULDBLOCK> (if client requested a non-blocking check for the token). <ETIME> (if the client timed out after waiting for the token). <ENOLCK> (if the token lock was removed out from underneath a waiter). <EACCES> (attempt to renew a token that isn't owned by the client).

ACE_UINT32 ACE_Token_Reply::Transfer::length_

| Length of entire reply.

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token_Request_Reply.h